Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_OS_Dirent Class Reference

This class is a wrapper for the dirent.h operations. More...

`#include <OS_Dirent.h>`

Inheritance diagram for ACE_OS_Dirent

[legend]
List of all members.

## Static Public Methods
ACE_DIR* | opendir (const ACE_TCHAR *filename)
void | closedir (ACE_DIR *)
dirent* | readdir (ACE_DIR *)
int | readdir_r (ACE_DIR *dirp, dirent *entry, dirent **result)
long | telldir (ACE_DIR *)
void | seekdir (ACE_DIR *, long loc)
void | rewinddir (ACE_DIR *)
int | scandir (const ACE_TCHAR *dirname, dirent **namelist[], int (*selector) (const dirent *filename), int (*comparator) (const dirent **f1, const dirent **f2))
## Static Private Methods
ACE_DIR* | opendir_emulation (const ACE_TCHAR *filename)
int | scandir_emulation (const ACE_TCHAR *dirname, dirent **namelist[], int (*selector)(const dirent *entry), int (*comparator)(const dirent **f1, const dirent**f2))
void | closedir_emulation (ACE_DIR *)
dirent* | readdir_emulation (ACE_DIR *)

## Detailed Description

This class is a wrapper for the dirent.h operations.

## Member Function Documentation

ACE_INLINE void ACE_OS_Dirent::closedir ( | ACE_DIR * d )`[static]`

void ACE_OS_Dirent::closedir_emulation ( | ACE_DIR * d )`[static, private]`

ACE_INLINE ACE_DIR * ACE_OS_Dirent::opendir ( | const ACE_TCHAR * filename )`[static]`

const char *get_rcsid_ace _ ACE_DIR * ACE_OS_Dirent::opendir_emulation ( | const ACE_TCHAR * filename )`[inline, static, private]`

ACE_INLINE struct dirent * ACE_OS_Dirent::readdir ( | ACE_DIR * d )`[static]`

dirent * ACE_OS_Dirent::readdir_emulation ( | ACE_DIR * d )`[static, private]`

int ACE_OS_Dirent::readdir_r ( | ACE_DIR * dirp,
| dirent * entry,
| dirent ** result )`[static]`

ACE_INLINE void ACE_OS_Dirent::rewinddir ( | ACE_DIR * d )`[static]`

int ACE_OS_Dirent::scandir ( | const ACE_TCHAR * dirname,
| dirent ** namelist[],
| int(* selector)(const dirent *filename),
| int(* comparator)(const dirent **f1,const dirent **f2) )`[static]`

int ACE_OS_Dirent::scandir_emulation ( | const ACE_TCHAR * dirname,
| dirent ** namelist[],
| int(* selector)(const dirent *entry),
| int(* comparator)(const dirent **f1,const dirent **f2) )`[static, private]`

ACE_INLINE void ACE_OS_Dirent::seekdir ( | ACE_DIR * d,
| long loc )`[static]`

ACE_INLINE long ACE_OS_Dirent::telldir ( | ACE_DIR * d )`[static]`

The documentation for this class was generated from the following files:

- OS_Dirent.h
- OS_Dirent.cpp
- OS_Dirent.inl